%define oname   debugger-linecache

Name:       ruby-%{oname}
Version:    1.2.0
Release:    %mkrel 5
Summary:    Module for reading and caching lines
Group:      Development/Ruby
License:    MIT
URL:        http://nokogiri.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildArch:  noarch

%description
Linecache is a module for reading and caching lines. This may be useful for
example in a debugger where the same lines are shown many times.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.md CHANGELOG.md


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 1.2.0-5.mga4
+ Revision: 561837
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1.2.0-4.mga4
+ Revision: 561153
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.2.0-3.mga4
+ Revision: 535386
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.2.0-2.mga4
+ Revision: 481950
- Rebuild for Ruby 2

* Tue Sep 17 2013 pterjan <pterjan> 1.2.0-1.mga4
+ Revision: 480511
- 1.2.0
- Switch to noarch, native code is gone
- Use gem_setup
- Update file list

  + umeabot <umeabot>
    - Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 380802
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 shlomif <shlomif> 1.1.2-1.mga3
+ Revision: 314402
- Add missing BR
- Importing the ruby-debugger-linecache pkg based on Mga ruby-debugger-ruby_core_source

